Attribute VB_Name = "modOnTop"
'*********************************************************************************************
'                                    Nemesis Telnet Client 32 Bits
'                                       V 3.3 (BUILD 3XY)
'
' Copyright (c) 2000-2002 Jose Antonio Coret Barneto
'
'   Nemesis Telnet Client 32 Bits - The Free Telnet Client, a part of the Nemesis Project
'
'    This program is free software; you can redistribute it and/or modify
'    it under the terms of the GNU General Public License as published by
'    the Free Software Foundation; either version 2 of the License, or
'    (at your option) any later version.
'
'    This program is distributed in the hope that it will be useful,
'    but WITHOUT ANY WARRANTY; without even the implied warranty of
'    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'    GNU General Public License for more details.
'
'    You should have received a copy of the GNU General Public License
'    along with this program; if not, write to the Free Software
'    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
'
'    Redistributions of source code with or without modifications must retain the
'    above copyright notice, this list of conditions and the following disclaimer.
'
'--------------------------------------------------------------------------------------------
'IMPORTANT NOTICE:
'
'This is an unofficial translation of the GNU General Public License
'into Spanish. It was not published by the Free Software
'Foundation, and does not legally state the distribution terms for
'software that uses the GNU GPL--only the original English text of
'the GNU GPL does that. However, we hope that this translation will
'help Spanish speakers understand the GNU GPL better.
'--------------------------------------------------------------------------------------------
'
'   Este programa es software libre. Puede redistribuirlo y/o modificarlo
'   bajo los trminos de la Licencia Pblica General de GNU segn es
'   publicada por la Free Software Foundation, bien de la versin 2 de
'   dicha Licencia o bien de cualquier versin posterior.
'
'   Este programa se distribuye con la esperanza de que sea til, pero SIN
'   NINGUNA GARANTA, incluso sin la garanta MERCANTIL implcita o sin
'   garantizar la CONVENIENCIA PARA UN PROPSITO PARTICULAR. Vase la
'   Licencia Pblica General de GNU para ms detalles.
'
'   Debera haber recibido una copia de la Licencia Pblica General junto
'   con este programa. Si no ha sido as, escriba a la Free Software
'   Foundation, Inc., en 675 Mass Ave, Cambridge, MA 02139, EEUU.
'   Aada tambin informacin sobre cmo contactar con usted mediante
'   correo electrnico y postal.
'
'*********************************************************************************************
Option Explicit

Global bcreditos As Boolean
Global gsColorFuente As String
Global gsColorFondo As String
Global gbSubrayado As Boolean
Global gbItalica As Boolean
Global gbBold As Boolean
Global gsFuente As String
Global gsTamano As String

' ===========================================
' Requires the following declaration
' For VB3:
  'Private Declare Function SetWindowPos Lib "user" (ByVal h%, ByVal hb%, ByVal x%, ByVal Y%, ByVal cx%, ByVal cy%, ByVal f%) As Integer
' For VB4:
 Private Declare Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal X As Long, ByVal Y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long
' ===========================================
' Usage:
' AlwaysOnTop Me, -1  ' To make always on top
' AlwaysOnTop Me, -2  ' To make NOT always on top
' ===========================================

Public Sub AlwaysOnTop(FrmID As Form, ontop As Integer)
    Const SWP_NOMOVE = 2
    Const SWP_NOSIZE = 1
    Const flags = SWP_NOMOVE Or SWP_NOSIZE
    Const HWND_TOPMOST = -1
    Const HWND_NOTOPMOST = -2
    If ontop = -1 Then
        ontop = SetWindowPos(FrmID.hwnd, HWND_TOPMOST, 0, 0, 0, 0, flags)
    Else
        ontop = SetWindowPos(FrmID.hwnd, HWND_NOTOPMOST, 0, 0, 0, 0, flags)
    End If
End Sub

